PROC SORTSERIES()
 PRIVATE tablename, firstseries, seriestype, seriesrec1, lastfield,
         copyname, x
 IF SYSMODE() <> "Main" OR IMAGETYPE() <> "Display" THEN
  RETURN "Must be viewing table in Main mode to sort series fields"
 ENDIF
 WAIT RECORD
  PROMPT "Move to the first series field and press [Enter]"
  UNTIL "Enter"
 tablename = TABLE()
 firstseries = FIELD()
 seriestype = FIELDTYPE()
 MESSAGE "Restructuring the " + tablename + " table"
 Menu {Modify} {Restructure} SELECT tablename
 Right
 ZOOM SELECT firstseries
 seriesrec1 = RECNO()
 lastfield = [Field Name]
 MESSAGE "Sorting series fields"
 SCAN FOR RECNO() > seriesrec1
  IF [Field Type] <> seriestype THEN
   QUITLOOP
  ENDIF
  WHILE [Field Name] < lastfield AND RECNO() > seriesrec1
   copyname = [Field Name]
   Up
   Ins
   TYPEIN copyname
   Up
   lastfield = [Field Name]
   Down
  ENDWHILE
 lastfield = [Field Name]
 ENDSCAN
 Do_It!
 FOR x FROM 1 TO seriesrec1
  Right
 ENDFOR
 RETURN "Series fields are now sorted"
ENDPROC
